#ifndef ERMIXER_H
#define ERMIXER_H

#include <qmainwindow.h>
#include <qmenubar.h>
#include <qaction.h>
#include <qpopupmenu.h>
#include <qapplication.h>
#include <qmessagebox.h>
#include <qinputdialog.h>

#include "Mixer.h"

class Ermixer : public QMainWindow
{
    Q_OBJECT

public:
    Ermixer(QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel);

private:    
    QMenuBar *menubar;
    QPopupMenu *fileMenu;
    QPopupMenu *helpMenu;
    QAction* fileLoadAction;
    QAction* fileSaveAction;
    QAction* fileExitAction;
    QAction* helpAboutAction;
    QAction* fileDeleteAction;
    Mixer *mixer;
    
private slots:
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileDelete();
    virtual void fileExit();
    virtual void helpAbout();
    virtual void languageChange();
};

#endif
