#include "Mixer.h"

Mixer::Mixer(QWidget* parent, const char* name, WFlags fl)
    : QWidget(parent, name, fl)
{
    initMixer();
    initMask();
    getChannels();
    
    layout = new QVBoxLayout(this);
    
    int i;
    
    for(i=0; devs[i].chan != -1; i++)
    {
         channels[i] = new MixerChannel(devs[i], this);
         layout->addWidget(channels[i]);
    }
    
    channels[i] = (MixerChannel *)0;
    
    timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(update()));
    timer->start(500);    
}

void Mixer::update()
{
    initMask();
    getChannels();
    
    for(int i=0; channels[i] != 0; i++)
    {
        channels[i]->update();
    }
    
}

#include "Mixer.moc.cpp"
