#ifndef MIXERCHANNEL_H
#define MIXERCHANNEL_H

#include <qwidget.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlcdnumber.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qlayout.h>
#include <qtooltip.h>

#include "engine.h"
#include "config.h"

class MixerChannel : public QWidget
{
    Q_OBJECT

public:
    MixerChannel(struct _channel &cinfo, QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
    
private:
    QLabel* deviceName;
    QSlider* volumeBar;
    QSlider* balanceBar;
    QPushButton* deviceStatus;
    QCheckBox* mute;
    QPixmap redLed;
    QPixmap greenLed;
    QHBoxLayout* layout;
    struct _channel &info;
    
public slots:
    void update();
    
private slots:
    void languageChange();
    void volumeChange(int value);
    void balanceChange(int value);
    void setRecording();
    void unMute();
    void setMute();
};

#endif
